Pergunte aqui
0

Pacote Warsaw.deb (Módulo de Segurança Caixa) para .rpm

perguntadas 2016-02-26 11:43:51 -0500

imagem do gravatar de Daniel Fulgido

Pessoal, boa tarde!

Por favor, necessito de ajuda!

Estou a alguns dias batendo cabeça e não acho uma solução para este problema.

Necessito instalar o módulo de segurança da Caixa Econômica Federal e a instalação é feita por um pacote .deb. Sabendo disso, converti o mesmo via alien para rpm e já tentei instalar via # rpm -i /home/daniel/warsaw-1.3.0-2.x86_64.rpm e também via # yum install /home/daniel/warsaw-1.3.0-2.x86_64.rpm e os dois apresentaram os erros abaixo:

Via RPM [root@dfco daniel]# clear

[root@dfco daniel]# rpm -i /home/daniel/warsaw-1.3.0-2.x86_64.rpm o arquivo /usr/share/fonts da instalação de warsaw-1.3.0-2.x86_64 conflita com o arquivo do pacote fontpackages-filesystem-1.44-14.fc23.noarch o arquivo / da instalação de warsaw-1.3.0-2.x86_64 conflita com o arquivo do pacote filesystem-3.2-35.fc23.x86_64 o arquivo /etc da instalação de warsaw-1.3.0-2.x86_64 conflita com o arquivo do pacote filesystem-3.2-35.fc23.x86_64 o arquivo /usr/local/etc da instalação de warsaw-1.3.0-2.x86_64 conflita com o arquivo do pacote filesystem-3.2-35.fc23.x86_64 o arquivo /etc/xdg da instalação de warsaw-1.3.0-2.x86_64 conflita com o arquivo do pacote filesystem-3.2-35.fc23.x86_64 o arquivo /etc/xdg/autostart da instalação de warsaw-1.3.0-2.x86_64 conflita com o arquivo do pacote filesystem-3.2-35.fc23.x86_64 o arquivo /usr da instalação de warsaw-1.3.0-2.x86_64 conflita com o arquivo do pacote filesystem-3.2-35.fc23.x86_64 o arquivo /usr/local da instalação de warsaw-1.3.0-2.x86_64 conflita com o arquivo do pacote filesystem-3.2-35.fc23.x86_64 o arquivo /usr/local/bin da instalação de warsaw-1.3.0-2.x86_64 conflita com o arquivo do pacote filesystem-3.2-35.fc23.x86_64 o arquivo /usr/local/lib da instalação de warsaw-1.3.0-2.x86_64 conflita com o arquivo do pacote filesystem-3.2-35.fc23.x86_64 o arquivo /usr/share da instalação de warsaw-1.3.0-2.x86_64 conflita com o arquivo do pacote filesystem-3.2-35.fc23.x86_64 o arquivo /etc/init.d da instalação de warsaw-1.3.0-2.x86_64 conflita com o arquivo do pacote chkconfig-1.7-1.fc23.x86_64 o arquivo / da instalação de warsaw-1.3.0-2.x86_64 conflita com o arquivo do pacote spotify-client-0.9.17-0.9.17.8.gd06432d.31-2.x86_64 o arquivo /usr da instalação de warsaw-1.3.0-2.x86_64 conflita com o arquivo do pacote spotify-client-0.9.17-0.9.17.8.gd06432d.31-2.x86_64 o arquivo /usr/share da instalação de warsaw-1.3.0-2.x86_64 conflita com o arquivo do pacote spotify-client-0.9.17-0.9.17.8.gd06432d.31-2.x86_64

Via YUM

[root@dfco daniel]# yum install /home/daniel/warsaw-1.3.0-2.x86_64.rpm Yum command has been deprecated, redirecting to '/usr/bin/dnf install /home/daniel/warsaw-1.3.0-2.x86_64.rpm'. See 'man dnf' and 'man yum2dnf' for more information. To transfer transaction metadata from yum to DNF, run: 'dnf install python-dnf-plugins-extras-migrate && dnf-2 migrate'

Last metadata expiration check performed 0:42:44 ago on Fri Feb 26 13:57 ... (more)

editar alterar tag assinalar como ofensivo fechar mesclar Excluir

3 Respostas

2

respondidas 2016-06-21 20:58:07 -0500

imagem do gravatar de Wallace Hermano

O BB não precisa de nenhum plugin no Fedora. Para funcionar sem problemas é necessário remover o OpenJDK e instalar o Java da Oracle. Usei este tutorial http://www.if-not-true-then-false.com...

editar assinalar como ofensivo Excluir Link mais
0

respondidas 2016-03-03 10:03:33 -0500

Eu tentei com o alien também (você deve usar a opção --scripts), mas o rpm gerado dá esse mesmo erro. Daí você pode forçar uma instalação com "rpm -ivh --force warsaw-1.3.0-2.x86_64.rpm", o que vai gerar praticamente o mesmo resultado mostrado no Tutorial Linux da Caixa. Aparece um erro por falta do update-rc.d e do start-stop-daemon, que são ferramentas do Debian. Eu consegui portar o start-stop-daemon a partir da compilação do dpkg, enquanto no lugar do update-rc.d eu usei o chkconfig. Com isso, ficou tudo instalado, porém o módulo warsaw (/usr/local/bin/warsaw/core) não permanece em execução, ele inicia e depois sai, ou seja, não funciona. Melhor aguardar o lançamento de um pacote realmente rpm pela Caixa.

editar assinalar como ofensivo Excluir Link mais

Comentários

Obrigado pela resposta Cristiano!

Infelizmente tive que instalar uma VM de Windows para "sanar" este problema".

Enviei uma nota para a CAIXA, para eles compilarem um pacote compatível com Fedora.

Abraços,

Daniel Fulgido

imagem do gravatar de Daniel FulgidoDaniel Fulgido ( 2016-03-07 14:06:23 -0500 )editar

Muito bom isso

imagem do gravatar de Paulim_GOPaulim_GO ( 2016-06-23 09:33:30 -0500 )editar
0

respondidas 2016-08-25 08:31:59 -0500

simples, mude de banco e o motivo, vc diz isso. Com o BB n temos essas inutilidades. Além da aplicação ser muito melhor q a da caixa, eu sei pq eu já tive conta nos 2.

editar assinalar como ofensivo Excluir Link mais

Ferramentas de perguntas

1 seguidor

Estatísticas

Perguntadas: 2016-02-26 11:43:51 -0500

Lidas: 2,519 vezes

Última atualização: Aug 25 '16